> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-time-slots.md).

# Get Time Slots

En el caso de que el servicio de logística cuente con la opción de envíos coordinados (el comprador puede seleccionar día y horario de entrega) es posible pre cargar las franjas de entrega en Fenicio. Esto permitirá al comercio indicar mediante configuración qué franjas poner a disposición a sus compradores.&#x20;

Para obtener las franjas de entrega se invocará al servicio externo.&#x20;

Tener en cuenta que esta acción se realiza al configurar el tipo de envío en Fenicio y no durante el proceso de compra. Por lo tanto, se obtienen las franjas y estas quedan configuradas hasta que un administrador de la tienda decida volver a solicitarlas.

<table><thead><tr><th width="128">Method </th><th>Endpoint</th></tr></thead><tbody><tr><td><code>POST</code></td><td>https://{ApiURL}/getTimeSlots</td></tr></tbody></table>

## Request

<table><thead><tr><th width="170">Clave</th><th width="152">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>serviceType</code></strong></td><td><a href="https://guia.fenicio.help/developers/referencia/tipos-de-valores.md#service-type"><strong>ServiceType</strong></a></td><td>Tipo de servicio.</td></tr></tbody></table>

## Response

<table><thead><tr><th width="171">Clave</th><th width="154">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>timeSlots</code></strong></td><td>List&#x3C;<a href="#time-slot"><strong>TimeSlot</strong></a>></td><td>Franjas de entrega predefinidas.</td></tr></tbody></table>

## Time Slot

<table><thead><tr><th width="176">Clave</th><th width="157">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>day</code></strong></td><td>Int</td><td>Día de la semana en formato ISO. Desde <code>1</code> para lunes hasta <code>7</code> para domingo.</td></tr><tr><td><strong><code>from</code></strong></td><td><a href="https://guia.fenicio.help/developers/referencia/tipos-de-valores.md#datetime"><strong>DateTime</strong></a></td><td>Hora comienzo de la franja.</td></tr><tr><td><strong><code>to</code></strong></td><td><a href="https://guia.fenicio.help/developers/referencia/tipos-de-valores.md#datetime"><strong>DateTime</strong></a></td><td>Hora fin de la franja.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-time-slots.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
